-- Compute the peak for every telecenter and than the average for each state
SELECT
    UPPER(state) AS id
    , UPPER(state) AS cat
    , AVG(bytes_five_min_to_kbits_sec(down)) AS down
    , AVG(bytes_five_min_to_kbits_sec(up)) AS up
FROM
    (SELECT
        state
        , MAX(down_kbits) AS down
        , MAX(up_kbits) AS up
    FROM
        fact_net_usage_telecenter
    WHERE
        region = $1::text
    GROUP BY
        state
        , id_point
    ) AS f
GROUP BY
    state
ORDER BY
    state
;
